SAMBAT(4)

NAME
sambat - Samsung laptop battery monitor

SYNOPSIS
sambat* at iic?

DESCRIPTION
The sambat driver provides support for the embedded controller found in Samsung laptops based on the Qualcomm Snapdragon X1E80100, such as the Galaxy Book4 Edge. The controller, identified as “SAM060B” in ACPI, is an ENE KB9058 micro controller running Samsung firmware, and provides battery and AC adapter status over the I2C bus using a vendor “Mbox” command protocol.

Battery values are exposed through the sysctl(8) sensor framework and the apm(8) power management interface.

SEE ALSO
iic(4), intro(4), apm(8), sysctl(8)

HISTORY
The sambat driver first appeared in OpenBSD 8.0.

AUTHORS
-nosplit The sambat driver was written by Marcus Glocker <mglocker@openbsd.org>.

BUGS
The AC adapter online status is reported correctly at boot and after the power cable is unplugged, but does not refresh after the cable is plugged back in.